Figure - Bug #112914

0 O Test-IT # 110961 (New): V2.00 0 0 O

0 O Test-1T #111045 (New): AF-V2.0-00 0000 0
OAFOOEVIOOOODODUTODOOOODOOODOprdDOODOOOOODO@EOOODOODOODOOO
2022-10-2515:22-00 0000 _CDTSO OO

Status: CLOSED Start date: 2022-10-25

Priority: Normal Due date: 2022-10-29

Assignee: gpoobooo_ceprsbgn % Done: 50%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.2022102:
Resolution: Degrated:

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.2
Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

oooood

100ooog

200000000000

gooooo
10o0oooog
2000——° ODODbOobo
gvoooboooog

gooooo
WO00prdd 0000 0000000000000 0O0000O000O000O000000

gooooo
WO OoOoooooooo

goooo
3/3

0 LogUd
logd OO

History

#1-2022-10-2817:21-00 0000 _CDTSO OO

- Tracker changed from O [0 Test-IT to Bug

- Severity set to Critical

- Reproducibility set to Every time

- Test Typesetto IT

- Found Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

#2-2022-10-2817:25-0 00000 _CDTSO OO
- Severity changed from Critical to Normal

#3 - 2022-10-28 20:04 - CDTS_TEST O U
- Target version changed from VX1_MCE_FSE_V3.0_20221030to VX1_MCE_FSE_V3.0_update_20221115
#4 - 2022-11-0715:44-CDLC O OO

patch
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152542

#5-2022-11-1009:58-CDLC O O O

eog,

OO0O0O0OpatchOOOOOO,00!

#6 - 2022-11-1019:23-CD LCO O

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

Hi ALL,

O00000dpatchD OO0 O Jenkinsd OO

NoteOOOOOOOOCDOOOOOOOO0O0O0O0O0O0O0O0O0O0O0O0O0O0O0O0O0O0O0O0OCoDOOOOOODOOODO

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/161691

Thanks.

#7-2022-11-1401:54-CDLCO OO

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709
oood

0 0 O O review & merge.

#8-2022-11-1421:43-CDLCO OO
- Status changed from ASSIGNED to RESOLVED
- Assignee changed fromCD LC O O O to CDTS_TEST O O

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709
000000011.15DB Verify.0 O O

#9-2022-11-161023-0 00000 _CDTSO OO

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CDTS TESTO O toO OO OO O _CDTSO OO

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152542
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/161691
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709

0000011.16userd O
J0000D0O0o0U0oo000o0o0U0o0o0O0oOoO00o0og——->Pass

#10-2022-11-1610:24-0 00000 _CDTSO OO
- Status changed from VERIFIED to CLOSED

ooobooo——-—aoa0

#11 - 2022-12-22 20:51 - CD Fw-O O
Gerrit Merge Information(]

1D Project

Branch

Uploader

161691 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tuyu0702@thundersoft.com

LC:BT: Add API to check if the bluetooth CoD is supportedAdd API to check if the remote class of device is supported on thecurrent platform.TC-RID:
1201-0400120Issuel D: TS-R-BUG-112914Change-Id: 173c6e6ebchclaf15ff2d78644bc27123fa139657

#12 - 2022-12-22 20:52 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
161706 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-qssi12 | tuyu0702@thundersoft.com
gs -dev

LC:BT: Filter out unsupported devices from Bluetooth scan listFilter out Bluetooth devices of this device class that are notsupported by the current
platform.TC-RID: 1201-04001201ssuelD: TS-R-BUG-112914Change-Id: 18c5a08280ed9025f3bf7a963304541c8de7c97f7

#13 - 2022-12-22 20:52 - CD FW-0 O

Gerrit Merge Informationd

1D Project

Branch

Uploader

161709 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tuyu0702@thundersoft.com

LC:BT: Don't pairing if the remote class of divice is not supportedDon't process pairing progress if the remote class of device is notsupported on the current
platform.TC-RID: 1201-04001201IssuelD: TS-R-BUG-112914Change-Id: 12013442a2¢0fd4868017dcd86944bef3318af894
#14 - 2023-11-13 17:36 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

325448

general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:BT: Don't pairing if the remote device is central controllerDon't process pairing progress if the remote device is central controller. TC-RID:
1201-0400120Issuel D: TS-R-BUG-112914Change-Id: 1f0997161ad71b7027d7762724f769c28b0e03677

#15 - 2023-11-1317:36 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

326870

general/platform/vendor/gcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:BT: Remove bond central controllerl. Remove bond if the central controller is inactive.2. Don't connect the central controller and remove bond. TC-RID:
1201-04001201Issuel D: TS-R-BUG-112914Change-Id: 110e72a61df6901cd48a76cf7939ae71a33de7892

#16 - 2023-11-20 13:51 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

323018

general/platform/vendor/gcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

taohp0107@thundersoft.com

LC:BT: Don't pairing if the remote device is central controllerDon't process pairing progress if the remote device is central controller. TC-RID:
1201-04001201ssuelD: TS-R-BUG-112914Change-Id: 1f0997161ad71b7027d7762724f769c28b0e03677(cherry picked from commit
fe2a277027942f3e235b5efe99375bcc273df654)

#17 - 2023-11-20 13:51 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

329425

general/platform/vendor/gcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com
LC:BT: Remove bond central controllerl. Remove bond if the central controller is inactive.2. Don't connect the central controller and remove bond. TC-RID:
1201-04001201Issuel D: TS-R-BUG-112914Change-Id: 110e72a61df6901cd48a76cf7939ae71a33de7892(cherry picked from commit
€5d671d9db48d3e0e6c904541el1fcOfclcad5161)

#18 - 2023-12-06 09:34 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

333378

general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

taohp0107@thundersoft.com

LC:BT: Don't connect if the remote device is central controllerDon't connect if the remote device is central controller.Change-1d:
125b12fd4acda726882d51edb7760e0b26417eeccTC-RID: 1201-04001201ssuel D: TS-R-BUG-112914

#19 - 2023-12-11 13:58 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

334887

general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

LC:BT: Don't connect if the remote device is central controllerDon't connect if the remote device is central controller.Change-1d:
125b12fd4acda726882d51edb7760e0b26417eeccTC-RID: 1201-0400120Issuel D: TS-R-BUG-112914(cherry picked from commit
c8ee63abblledf39da260bc44ab5e65417608dda)
